package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.PredictExamin;
import com.ruoyi.ucp.mapper.PredictExaminMapper;
import com.ruoyi.ucp.service.IPredictExaminService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-10-29
 */
@Service
@DataSource(DataSourceType.GLYC)
public class PredictExaminServiceImpl extends ServiceImpl<PredictExaminMapper, PredictExamin> implements IPredictExaminService {
    @Override
    public boolean saveBatch(Collection<PredictExamin> entityList) {
        return super.saveBatch(entityList);
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<PredictExamin> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }

    @Override
    public List<PredictExamin> list(Wrapper<PredictExamin> queryWrapper) {
        return super.list(queryWrapper);
    }
}
